<?php
include("../sistem/cfg.dat");
include("../sistem/global.dat");
include("../sistem/functions_mail.dat");
include("../temes/$teme/verh.dat");

if($status=="gost")
{
   echo'<div class="razd"><B>РЕГИСТРАЦИЯ</B></div>';
   if(isset($_SESSION['real_pr_kod'])){ $real_pr_kod = $_SESSION['real_pr_kod']; }else{ $real_pr_kod =""; }
   if(isset($_POST['pr_kod'])){$pr_kod = trim($_POST['pr_kod']);}
   
   if(isset($_POST['password'])){$password = trim($_POST['password']);}//обозначили пост переменные
   if(isset($_POST['uzer_login'])){$uzer_login = trim($_POST['uzer_login']);}////обозначили пост переменные
   if(isset($_POST['uzer_mail'])){$uzer_mail = trim($_POST['uzer_mail']);}////обозначили пост переменные
   ////////////////////////////////////////////////////////////////////////////////////////////
   ////////////////////////////////////////////////////////////////////////////////////////////
   ////////////////////////////////////////////////////////////////////////////////////////////
   if(empty($password) || empty($uzer_login) || empty($pr_kod)|| empty($uzer_mail))
   {
      echo'Заполните пожалуйста все поля!<br>';
      echo'ВНИМАНИЕ, логин должен состоять только из латинских букв и цифр!<br>';
      echo'<form name="forma" action="rega.php?'.SID.'" method="post">';
      echo'Логин<br>';
      echo'<input type="text" name="uzer_login" value="" size="10" maxlength="10"><br>';
      echo'Пароль<br>';
      echo'<input type="password" name="password" value="" size="10" maxlength="16"><br>';
      echo'Ваш действующий Email<br>';
      echo'<input type="text" name="uzer_mail" value="" size="10" maxlength="50"><br>';
      
      $_SESSION['real_pr_kod'] = rand(1111,9999);
      echo'Введите: <B>'.$_SESSION['real_pr_kod'].'</B><br>';
      echo'<input type="text" name="pr_kod" value="" size="4" maxlength="4"><br>';
      echo'<input type="submit" name="" value="Зарегистрироваться"><br>';
      echo'</form>';
      echo'После регистрации вы можете заполнить более подробную анкету';
   }else
   {
      if($pr_kod != $real_pr_kod)
      {
         $real_pr_kod = htmlspecialchars($real_pr_kod);
         $pr_kod = htmlspecialchars($pr_kod);
         echo'Проверочный код неправельный! Вы ввели '.$pr_kod.', а нужно было '.$real_pr_kod.'!';
      }else
      {
         if (eregi("[^a-zA-Z0-9]" , $uzer_login) || eregi("[^a-zA-Z0-9]" , $password) || !filter_var($uzer_mail, FILTER_VALIDATE_EMAIL)){ echo'Вы ввели запрещённые символы или не верно заполнили поле Email<br>'; }else
         {
            if (file_exists("../data/uzer/$uzer_login.dat")){ echo'Такой логин уже существует<br>'; }else
            {
               $uzer_login = str_replace("\r","",$uzer_login);
               $uzer_login = str_replace("\n","",$uzer_login);
               $password = str_replace("\r","",$password);
               $password = str_replace("\n","",$password);
               $uzer_login = htmlspecialchars($uzer_login);
               $password = htmlspecialchars($password);
               
               $uzer_mail = str_replace("\r","",$uzer_mail);
               $uzer_mail = str_replace("\n","",$uzer_mail);
               $uzer_mail = htmlspecialchars($uzer_mail);
               
               $time_reg = date("d.m.Y H:i:s");//время регистрации
               $time_p = date("d");//день плюса
               $posled_time_pribivanij = date("d.m.Y H:i:s");//последнее время прибывания
               $posled_time = time();//time для вывода он лайн
               $ip=htmlspecialchars($_SERVER['REMOTE_ADDR']);//ip адрес
               
               $pa = $password;
               $pas = md5( $password );//шифруем пароль в md5 для отправки в сессии
               $password =md5( md5( $password ));//шифруем пароль в двойной md5 для записи в профиль
               
               $time_reg2 = $posled_time;
               
               //РЕГИСТРИРУЕМ
               $kod=''.$password.'<||>no_aktiv<||>0<||>0<||>0<||>нет бана<||>'.$time_reg.'<||>'.$time_p.'<||><||><||><||><||><||>oof<||>'.$ip.'<||>'.$posled_time_pribivanij.'<||>'.$posled_time.'<||>'.$teme.'<||><||>'.$time_reg2.'<||>'.$uzer_mail.'<||>oof<||><||><||><||><||><||><||><||><||><||><||><||><||><||><||>0<||>1000<||>';
               $file_login_data = fopen("../data/uzer/$uzer_login.dat", "w+");
               flock ($file_login_data,LOCK_EX);
               fputs($file_login_data,$kod);
               flock ($file_login_data,LOCK_UN);
               fclose($file_login_data);
               @chmod("../data/uzer/$uzer_login.dat", 0666);
               
               //создаём фаил привата
               $file_privat = fopen("../data/privat/$uzer_login.dat", "w+");
               flock ($file_privat,LOCK_EX);
               fputs($file_privat,"");
               flock ($file_privat,LOCK_UN);
               fclose($file_privat);
               @chmod("../data/privat/$uzer_login.dat", 0666);
               
               //создаём фаил привата для исходящих писем
               $file_privat = fopen("../data/privat/out-$uzer_login.dat", "w+");
               flock ($file_privat,LOCK_EX);
               fputs($file_privat,"");
               flock ($file_privat,LOCK_UN);
               fclose($file_privat);
               @chmod("../data/privat/out-$uzer_login.dat", 0666);
               
               //создаём фаил контактов
               $file_kontakt = fopen("../data/privat/kontakt-$uzer_login.dat", "w+");
               flock ($file_kontakt,LOCK_EX);
               fputs($file_kontakt,"");
               flock ($file_kontakt,LOCK_UN);
               fclose($file_kontakt);
               @chmod("../data/privat/kontakt-$uzer_login.dat", 0666);
               
               //создаём фаил игнора
               $file_ignor = fopen("../data/privat/ignor-$uzer_login.dat", "w+");
               flock ($file_ignor,LOCK_EX);
               fputs($file_ignor,"");
               flock ($file_ignor,LOCK_UN);
               fclose($file_ignor);
               @chmod("../data/privat/ignor-$uzer_login.dat", 0666);
               
               //записываем в список
               $file_uzers = fopen("../data/statstik/uzer.dat", "a+");
               flock ($file_uzers,LOCK_EX);
               fputs($file_uzers,$uzer_login."\r\n");
               flock ($file_uzers,LOCK_UN);
               fclose($file_uzers);
               @chmod("../data/statstik/uzer.dat", 0666);
               
               //РЕГИСТРИРУЕМ СЕССИЮ
               $_SESSION['login']=$uzer_login;//регистрируем сессию
               $_SESSION['pass']=$pas;//регистрируем сессию
               echo'Вы успешно зарегистрировались<br><a href="../index.php?'.SID.'">Далее</a><br>';
               
               $sit = htmlspecialchars($_SERVER['HTTP_HOST']);
               $txtsob="Спасибо, что зарегистрировались у нас на сайте http://$sit\n\nВаш логин - $uzer_login\nВаш пароль - $pa\n\nПо всем вопросам обращайтесь на сайт http://$sit";
               
               addmail("$uzer_mail","Регистрация на сайте $sit",$txtsob);
            }
         }
      }
   }
////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////////
}
if($status=="ban" || $status=="uzer" || $status=="moder" || $status=="admin")
{
   echo'<div class="razd"><B>РЕГИСТРАЦИЯ</B></div>';
   echo'Вы уже зарегистрированны<br>';
}

echo'<a href="../index.php?'.SID.'">Главная</a><br>';
include("../sistem/global_end.dat");
include("../temes/$teme/niz.dat");
?>